Prototype.l pLASLIB_Load  ( sFilename.s , sStandardFilename.s )
Prototype.l pLASLIB_GetSP ( sGroup.s    , sKey.s )

Structure tLasLib
   *LASLIB_Load   .pLASLIB_Load 
   *LASLIB_GetSP  .pLASLIB_GetSP
   lLibID         .l
EndStructure

Procedure _LASLIB_DATA ()
   Static LASLIB.tLasLib
   
   ProcedureReturn LASLIB
EndProcedure

Procedure LASLIB_Init ( sDLL.s )
   Protected *LASLIB.tLasLib
   
   *LASLIB = _LASLIB_DATA ()
   
   If *LASLIB\lLibID
      CloseLibrary ( *LASLIB\lLibID )
      *LASLIB\lLibID = #Null
   EndIf
   
   *LASLIB\lLibID = OpenLibrary ( #PB_Any , sDLL )
   If Not *LASLIB\lLibID
      ProcedureReturn #False
   EndIf
   
   *LASLIB\LASLIB_Load  = GetFunction ( *LASLIB\lLibID , "LASLIB_Load" )
   *LASLIB\LASLIB_GetSP = GetFunction ( *LASLIB\lLibID , "LASLIB_Get"  )
      
   ProcedureReturn #True
EndProcedure

Procedure LASLIB_DeInit ()
   Protected *LASLIB.tLasLib
   
   *LASLIB = _LASLIB_DATA ()
   
   If *LASLIB\lLibID
      CloseLibrary ( *LASLIB\lLibID )
      *LASLIB\lLibID = #Null
      ProcedureReturn #True
   EndIf
   
   ProcedureReturn #False
EndProcedure

Procedure LASLIB_Load ( sFilename.s , sStandardFilename.s )
   Protected *LASLIB.tLasLib
   
   *LASLIB = _LASLIB_DATA ()
   
   If Not *LASLIB\lLibID
      ProcedureReturn #False
   EndIf
   
   ProcedureReturn *LASLIB\LASLIB_Load  ( sFilename , sStandardFilename )
EndProcedure

Procedure.s LASLIB_Get ( sGroup.s , sKey.s )
   Protected *LASLIB.tLasLib
   
   *LASLIB = _LASLIB_DATA ()
   
   If Not *LASLIB\lLibID
      ProcedureReturn ""
   EndIf
 
   ProcedureReturn PeekS ( *LASLIB\LASLIB_GetSP ( sGroup , sKey ) )
EndProcedure
; IDE Options = PureBasic 4.20 (Windows - x86)
; CursorPosition = 70
; FirstLine = 45
; Folding = -
; EnableCompileCount = 5